Skip to main content
POST
/
v1
/
caller-trust
/
documents
Upload a document (e.g. signed LOA)
curl --request POST \
  --url https://api.revdesk.com/v1/caller-trust/documents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "file_base64": "<string>",
  "filename": "<string>",
  "customer_reference": "<string>"
}
'
{
  "data": {
    "document_id": "<string>",
    "filename": "<string>",
    "content_type": "<string>",
    "status": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

UUID — when present, deduplicates repeat submissions. See /api-reference/idempotency.

Body

application/json
file_base64
string
required
Minimum string length: 1
filename
string
required
Required string length: 1 - 255
customer_reference
string
Maximum string length: 255

Response

Success

data
object
required